Search for nodes in the workspace
curl --request POST \
--url https://dust.tt/api/v1/w/{wId}/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"includeDataSources": true,
"viewType": "<string>",
"spaceIds": [
"<string>"
],
"nodeIds": [
"<string>"
],
"searchSourceUrls": true
}
'import requests
url = "https://dust.tt/api/v1/w/{wId}/search"
payload = {
"query": "<string>",
"includeDataSources": True,
"viewType": "<string>",
"spaceIds": ["<string>"],
"nodeIds": ["<string>"],
"searchSourceUrls": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
query: '<string>',
includeDataSources: true,
viewType: '<string>',
spaceIds: ['<string>'],
nodeIds: ['<string>'],
searchSourceUrls: true
})
};
fetch('https://dust.tt/api/v1/w/{wId}/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Search
Search for nodes in the workspace
Search for nodes in the workspace
POST
/
api
/
v1
/
w
/
{wId}
/
search
Search for nodes in the workspace
Authorizations
Your DUST API key is a Bearer token.
Path Parameters
ID of the workspace
Body
application/json
The search query
List of data source IDs to include in search
Type of view to filter results
List of space IDs to search in
List of specific node IDs to search
Whether to search source URLs
Response
Search results retrieved successfully
⌘I